Subject: RE: string.h problems
From: [email-masked]

17 Jan 1997 18:23:12 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: [email-masked]
Original-CC: [email-masked], [email-masked]
Original-Sender: [email-masked]

Hi, you wrote:

: I've had trouble with a number of functions that should be defined in
: string.h: strncpy, bcopy and bcopy

bzero?

: Also, it may be somewhat related to this, mostly ridiculous, thread on
: "why cygwin.dll" but I've noticed the resulting executables are enormous.
: I am including debugging information but still a file that compiled with
: cygnus/g++ takes around 1Mb takes only 300Kb on my unix machines
: (HP-UX/g++). That's less than a third!!

About 1MB source of 30000 lines compiled gcc -g -O under hp-ux gives me an
executable of ca. 1MB nonstripped, the same under NT is less than 50% larger. 
I use strncpy, memcpy and memset without problems.
And the thread is partially ridiculous, IMHO.

Bye, Heribert ([email-masked])
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".